<?php

include('pdf/fpdf.php');
session_cache_limiter('private');
session_start();
$com = "I";
include("DMMYSQLG.php");
include("DSA3000.php");
include("DMMYSQLG.php");
include("DF80000.php");
class PDF extends FPDF
{
	//Cabecera de página
	function Header()
	{
	    //Logo
	    include("DYIM_VER.php");
	    //Arial bold 14
	    $this->SetFont('Arial','B',12);
	    //Espacio
		
	    //Título
	    $this->Cell(190,3,'DIAS FESTIVOS',0,0,'C');
	    //Salto de línea
	    $this->Ln(5);
	}
	
	//Pie de página
	function Footer()
	{
	    //Posición: a 1,5 cm del final
	    $this->SetY(-15);
	    //Arial italic 8
	    $this->SetFont('Arial','I',8);
	    //Número de página
	    $this->Cell(0,10, $this->PageNo().'/{nb}',0,0,'C');
	}
}
if($_POST['bot']==""){
	if($_POST['tip_bus']=="clave"){
		$sql1 ="SELECT * FROM dndiafes WHERE fecha = '".$_POST['txt_bus']."'";
	}elseif($_POST['tip_bus']=="descripcion"){
		$sql1 ="SELECT * FROM dndiafes WHERE descripcion LIKE '%".$_POST['txt_bus']."%'";
	}else{
		$sql1 = "SELECT * FROM dndiafes";
	}
}else{
	$sql1 = "SELECT * FROM dndiafes WHERE n_reg = '".$_POST['bot']."'";
}
$sql = mysqli_query ($sql1); 
while ($reg = mysqli_fetch_row($sql)) { 
    $data[] = $reg[0]; 
	$data1[] = $reg[1]; 
	$data2[] = $reg[2]; 
	$data3[] = $reg[3]; 
	}
$num_elementos=count($data);
$pdf=new PDF('P','mm','A4');
$pdf->AddPage();
$pdf->AliasNbPages();
for($i=0;$i<=$num_elementos-1;$i++){
	//$li=$li+10;
	$pdf->SetFont('Arial','',7);
	$pdf->SetFillColor(192,192,192);
	$pdf->Cell(18,5, 'N_REG',1,'0','C',1);
	$pdf->Cell(60,5, 'FECHA DIAS FESTIVOS',1,'0','C',1);
	$pdf->Cell(60,5, 'DESCRIPCION',1,'1','C',1);
	$pdf->Cell(18,5, $data[$i],1,'0','C');
	$pdf->Cell(60,5, chfecha($data1[$i],'Y-m-d','d/m/Y'),1,'0','L');
	$pdf->Cell(60,5, $data2[$i],1,'1','L');


	
} 
$pdf->Output();
?> 
